查阅链接接口、参数与示例。
API 接口地址
https://6-f.cn/api/v1/links
请求示例
curl --location --request GET 'https://6-f.cn/api/v1/links' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
参数
search
search_by
title, 自定义后缀 的 alias, 网址 的 url。 默认值:title。
status
0, 启用 的 1, 已到期 的 2。 默认值:0。
space_id
domain_id
pixel_id
sort_by
id, 点击次数 的 clicks_count, 标题 的 title, 自定义后缀 的 alias, 网址 的 url。 默认值:id。
sort
desc, 升序 的 asc。 默认值:desc。
per_page
10, 25, 50, 100。 默认值:10。
API 接口地址
https://6-f.cn/api/v1/links/{id}
请求示例
curl --location --request GET 'https://6-f.cn/api/v1/links/{id}' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}'
API 接口地址
https://6-f.cn/api/v1/links
请求示例
curl --location --request POST 'https://6-f.cn/api/v1/links' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}' \
--data-urlencode 'url=https://example.com/main'
参数
url
domain_id
alias
space_id
redirect_password
external_browsers[]
WeChat Browser。可选值:WeChat Browser, QQ Browser, Chrome, Chromium, Firefox, Firefox Mobile, Edge, Internet Explorer, Mobile Internet Explorer, Vivaldi, Brave, Safari, Opera, Opera Mini, Opera Mobile, Opera Touch, Yandex Browser, UC Browser, Samsung Internet, BlackBerry Browser, Maxtho。创建时省略表示关闭;更新时省略保持原值,JSON 提交 external_browsers: [] 或 null 可清空。
sensitive_content
0, 是 的 1。 默认值:0。
privacy
0, 私密 的 1, 密码 的 2。 默认值:0。
password
privacy 字段设为 2 时生效。
active_period_start_at
Y-m-dTH:i:s。
active_period_end_at
Y-m-dTH:i:s。
clicks_limit
expiration_url
targets_type
continents, Countries 的 countries, Operating systems 的 operating_systems, Browsers 的 browsers, Languages 的 languages, Devices 的 devices, Probability redirect 的 probability, Rotations 的 rotations。
targets[index][key]
概率跳转:targets_type=probability 时,key 为 1–100 的整数百分比,至少一项,总和不能超过 100%;剩余概率跳转主链接。每次访问独立随机。rotations 不需要 key。
targets_type=countries 字段的值必须采用 ISO 3166-1 alpha-2 格式。
targets_type=operating_systems 字段的可选值为:iOS, Android, Windows, OS X, Linux, Ubuntu, Chrome OS。
targets_type=browsers 字段的可选值为:WeChat Browser, QQ Browser, Chrome, Chromium, Firefox, Firefox Mobile, Edge, Internet Explorer, Mobile Internet Explorer, Vivaldi, Brave, Safari, Opera, Opera Mini, Opera Mobile, Opera Touch, Yandex Browser, UC Browser, Samsung Internet, BlackBerry Browser, Maxtho。
targets_type=devices 字段的可选值为:Desktop, Mobile, Tablet, Watch, Television。
targets_type=languages 字段的值必须采用 ISO 639-1 alpha-2 格式。
targets_type=continents 字段的可选值为:Africa 的 AF, Antarctica 的 AN, Asia 的 AS, Europe 的 EU, North America 的 NA, Oceania 的 OC, South America 的 SA。
targets[index][value]
API 接口地址
https://6-f.cn/api/v1/links/{id}
请求示例
curl --location --request PUT 'https://6-f.cn/api/v1/links/{id}' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}' \ --data-urlencode 'url=https://example.com/updated'
参数
url
disabled
alias
space_id
redirect_password
external_browsers[]
WeChat Browser。可选值:WeChat Browser, QQ Browser, Chrome, Chromium, Firefox, Firefox Mobile, Edge, Internet Explorer, Mobile Internet Explorer, Vivaldi, Brave, Safari, Opera, Opera Mini, Opera Mobile, Opera Touch, Yandex Browser, UC Browser, Samsung Internet, BlackBerry Browser, Maxtho。创建时省略表示关闭;更新时省略保持原值,JSON 提交 external_browsers: [] 或 null 可清空。
sensitive_content
0, 是 的 1。
privacy
0, 私密 的 1, 密码 的 2。
password
privacy 字段设为 2 时生效。
active_period_start_at
Y-m-dTH:i:s。
active_period_end_at
Y-m-dTH:i:s。
clicks_limit
expiration_url
targets_type
continents, Countries 的 countries, Operating systems 的 operating_systems, Browsers 的 browsers, Languages 的 languages, Devices 的 devices, Probability redirect 的 probability, Rotations 的 rotations。
targets[index][key]
概率跳转:targets_type=probability 时,key 为 1–100 的整数百分比,至少一项,总和不能超过 100%;剩余概率跳转主链接。每次访问独立随机。rotations 不需要 key。
targets_type=countries 字段的值必须采用 ISO 3166-1 alpha-2 格式。
targets_type=operating_systems 字段的可选值为:iOS, Android, Windows, OS X, Linux, Ubuntu, Chrome OS。
targets_type=browsers 字段的可选值为:WeChat Browser, QQ Browser, Chrome, Chromium, Firefox, Firefox Mobile, Edge, Internet Explorer, Mobile Internet Explorer, Vivaldi, Brave, Safari, Opera, Opera Mini, Opera Mobile, Opera Touch, Yandex Browser, UC Browser, Samsung Internet, BlackBerry Browser, Maxtho。
targets_type=devices 字段的可选值为:Desktop, Mobile, Tablet, Watch, Television。
targets_type=languages 字段的值必须采用 ISO 639-1 alpha-2 格式。
targets_type=continents 字段的可选值为:Africa 的 AF, Antarctica 的 AN, Asia 的 AS, Europe 的 EU, North America 的 NA, Oceania 的 OC, South America 的 SA。
targets[index][value]
API 接口地址
https://6-f.cn/api/v1/links/{id}
请求示例
curl --location --request DELETE 'https://6-f.cn/api/v1/links/{id}' \ --header 'Authorization: Bearer {api_key}'